function mn=pdebasnm(mn)
%PDEBASNM strips path from filename.

%	Magnus G. Ringh 6-01-94, MR 9-29-94.
%	Copyright (c) 1994-95 by The MathWorks, Inc.
%	$Revision: 1.3.1.1 $  $Date: 1995/08/14 15:05:56 $

cmptr=computer;
if ~isempty(findstr('PCWIN',cmptr))
  ch='\';
elseif ~isempty(findstr('MAC2',cmptr))
  ch=':';
else
  ch='/';
end
n=length(mn);
i=findstr(mn,ch);
ni=length(i);
if ni>0,
  mn=mn(i(ni)+1:n);
end
